#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
ENGG1811 Lecture Week 4

File name: mean_abs_improved1.py 

Improving mean_abs_bad.py by using functions 
"""

# %% Define a function to compute mean absolute value of
# a list of numbers 
def mean_abs(data_list):
    total = 0
    for datum in data_list:
        total += abs(datum)
    mean_abs_value = total / len(data_list)
    return mean_abs_value


# %%
# 4 data sets 
dataset0 = [-1.6, 1.8,-1.8,-2.0, 1.5]
dataset1 = [ 1.8,-1.6, 1.6,-1.8,-2.2]
dataset2 = [-1.6,-1.8,-1.9, 2.3,-2.1]
dataset3 = [ 1.6, 1.7, 2.0, 2.4]

# dataset0
mean_abs0 = mean_abs(dataset0)
print('Dataset 0 average = ',mean_abs0)

# dataset1
mean_abs1 = mean_abs(dataset1)
print('Dataset 1 average = ',mean_abs1)

# dataset2
mean_abs2 = mean_abs(dataset2)
print('Dataset 2 average = ',mean_abs2)

# dataset3
mean_abs3 = mean_abs(dataset3)
print('Dataset 3 average = ',mean_abs3)